/* Deine Root-Variablen */
:root {
  --leichtgrau: #d7d2d2;
}

/* Allgemeines Layout */
body {
  margin: 0;
  padding: 0;
}

body {
  background-color: var(--leichtgrau);
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

main {
  flex: 1 0 auto; /* Hauptinhalt füllt den verfügbaren Raum */
}

img, video {
  width: 100%;
  height: auto;
}

ul li {
  list-style: none;
}

#cookieConsentModal {
  z-index: 4000;
}

/* Header */
header {
  height: 4em;
  z-index: 1000;
  background-color:rgb(198, 220, 190) !important;
}

/* Navbar */
.container-navbar {
  display: flex;
  position: relative;
}

.navbar-nav {
  z-index: 2000;
  position: absolute;
  padding: 0.5em;
}

li.nav-item {
  border: 1px double;
  border-color: black;
  border-radius: 5px;
  color: var(--leichtgrau);
  min-width: 6em;
  max-width: 6em;
  text-align: center;
}

li.nav-item:hover {
  background: var(--bs-warning);
  color: var(--bs-success);
}

.nav-link.active {
  font-weight: bold;
  color: #fff;
}

.navbar-toggler {
  color: rgba(200, 210, 136, 0.65);
}

.logo {
  flex: 1;
  position: absolute;
  top: 10px;
  right: 10px;
  width: 450px;
  height: auto;
}

@media screen and (max-width: 320px) {
  .logo {
  width: 220px;
  height: auto;
  }
  @media screen and (max-width: 480px) {
    .logo {
    width: 200px;
    height: auto;
    }
/* Landingpage */

/* Container und Main */
.container {
  width: 90vw;
  margin: 0 auto;
  padding: 20px;
}

.two-columns {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
}

/* Galerie */
.galerie {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 10px;
  padding: 20px;
}

.gallery-image {
  width: 100%;
  height: 100%;
  object-fit: contain;
  aspect-ratio: 3 / 2;
  opacity: 0;
  transition: opacity 0.5s ease-in;
}

.gallery-image:not(.lazy) {
  opacity: 1;
}

.card-img-container {
  height: 300px;
  overflow: hidden;
}

.card-img-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.goverlay {
  background: var(--bs-success) !important;
  opacity: 0.5;
}

.gdesc-inner {
  background: var(--bs-success) !important;
  color: var(--leichtgrau);
  border: 1px double;
  border-color: var(--bs-warning);
  text-align: center;
  font-size: 1.5rem;
}

/* Footer */
footer {
  background-color:rgb(198, 220, 190) !important;
  color: white;
  padding: 1.5rem 0;
  flex-shrink: 0;
  text-align: center;
}

.btn-sm {
  width: 6em;
  padding: 0.3em;
}

.copy {
  display: inline;
  padding-right: 1em;
}

/* Formular Antwort */
.animate__animated.animate__fadeIn {
  --animate-duration: 0.8s;
}

.btn-primary:hover {
  transform: translateY(-2px);
  transition: transform 0.2s ease-in-out;
}

.card {
  border-radius: 10px;
  overflow: hidden;
}

.card-header {
  border-bottom: none;
}

/* Modals */
.modal {
  z-index: 4000;
}

/* Responsive Anpassungen */
@media (max-width: 767.98px) {
  .row > div {
    margin-bottom: 1.5rem;
  }

  .two-columns {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 768px) {
  .landing-content h1 {
    font-size: 2rem;
  }

  .landing-content p {
    font-size: 1rem;
  }
      --bs-blue: #0d6efd;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-black: #000;
    --bs-white: #fff;
    --bs-gray: #6c757d;
    --bs-gray-dark: #343a40;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #343a40;
    --bs-gray-900: #212529;
    --bs-primary: #0d6efd;
    --bs-secondary: #6c757d;
    --bs-success: #198754;
    --bs-info: #0dcaf0;
    --bs-warning: #ffc107;
    --bs-danger: #dc3545;
    --bs-light: #f8f9fa;
    --bs-dark: #212529;
    --bs-primary-rgb: 13,110,253;
    --bs-secondary-rgb: 108,117,125;
    --bs-success-rgb: 25,135,84;
    --bs-info-rgb: 13,202,240;
    --bs-warning-rgb: 255,193,7;
    --bs-danger-rgb: 220,53,69;
    --bs-light-rgb: 248,249,250;
    --bs-dark-rgb: 33,37,41;
    --bs-primary-text-emphasis: #052c65;
    --bs-secondary-text-emphasis: #2b2f32;
    --bs-success-text-emphasis: #0a3622;
    --bs-info-text-emphasis: #055160;
    --bs-warning-text-emphasis: #664d03;
    --bs-danger-text-emphasis: #58151c;
    --bs-light-text-emphasis: #495057;
    --bs-dark-text-emphasis: #495057;
    --bs-primary-bg-subtle: #cfe2ff;
    --bs-secondary-bg-subtle: #e2e3e5;
    --bs-success-bg-subtle: #d1e7dd;
    --bs-info-bg-subtle: #cff4fc;
    --bs-warning-bg-subtle: #fff3cd;
    --bs-danger-bg-subtle: #f8d7da;
    --bs-light-bg-subtle: #fcfcfd;
    --bs-dark-bg-subtle: #ced4da;
    --bs-primary-border-subtle: #9ec5fe;
    --bs-secondary-border-subtle: #c4c8cb;
    --bs-success-border-subtle: #a3cfbb;
    --bs-info-border-subtle: #9eeaf9;
    --bs-warning-border-subtle: #ffe69c;
    --bs-danger-border-subtle: #f1aeb5;
    --bs-light-border-subtle: #e9ecef;
    --bs-dark-border-subtle: #adb5bd;
    --bs-white-rgb: 255,255,255;
    --bs-black-rgb: 0,0,0;
    --bs-font-sans-serif: system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue","Noto Sans","Liberation Sans",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    --bs-font-monospace: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;
    --bs-body-color: #212529;
    --bs-body-color-rgb: 33,37,41;
    --bs-body-bg: #fff;
    --bs-body-bg-rgb: 255,255,255;
    --bs-emphasis-color: #000;
    --bs-emphasis-color-rgb: 0,0,0;
    --bs-secondary-color: rgba(33, 37, 41, 0.75);
    --bs-secondary-color-rgb: 33,37,41;
    --bs-secondary-bg: #e9ecef;
    --bs-secondary-bg-rgb: 233,236,239;
    --bs-tertiary-color: rgba(33, 37, 41, 0.5);
    --bs-tertiary-color-rgb: 33,37,41;
    --bs-tertiary-bg: #f8f9fa;
    --bs-tertiary-bg-rgb: 248,249,250;
    --bs-heading-color: inherit;
    --bs-link-color: #0d6efd;
    --bs-link-color-rgb: 13,110,253;
    --bs-link-decoration: underline;
    --bs-link-hover-color: #0a58ca;
    --bs-link-hover-color-rgb: 10,88,202;
    --bs-code-color: #d63384;
    --bs-highlight-color: #212529;
    --bs-highlight-bg: #fff3cd;
    --bs-border-width: 1px;
    --bs-border-style: solid;
    --bs-border-color: #dee2e6;
    --bs-border-color-translucent: rgba(0, 0, 0, 0.175);
    --bs-border-radius: 0.375rem;
    --bs-border-radius-sm: 0.25rem;
    --bs-border-radius-lg: 0.5rem;
    --bs-border-radius-xl: 1rem;
    --bs-border-radius-xxl: 2rem;
    --bs-border-radius-2xl: var(--bs-border-radius-xxl);
    --bs-border-radius-pill: 50rem;
    --bs-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    --bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    --bs-box-shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);
    --bs-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
    --bs-focus-ring-width: 0.25rem;
    --bs-focus-ring-opacity: 0.25;
    --bs-focus-ring-color: rgba(13, 110, 253, 0.25);
    --bs-form-valid-color: #198754;
    --bs-form-valid-border-color: #198754;
    --bs-form-invalid-color: #dc3545;
    --bs-form-invalid-border-color: #dc3545;
    --bs-breakpoint-xs: 0;
    --bs-breakpoint-sm: 576px;
    --bs-breakpoint-md: 768px;
    --bs-breakpoint-lg: 992px;
    --bs-breakpoint-xl: 1200px;
    --bs-breakpoint-xxl: 1400px;
    --bs-btn-close-filter: ;
    --bs-carousel-indicator-active-bg: #fff;
    --bs-carousel-caption-color: #fff;
    --bs-carousel-control-icon-filter: ;
    --leichtgrau: #d7d2d2;
    font-family: var(--bs-body-font-family);
    font-size: var(--bs-body-font-size);
    font-weight: var(--bs-body-font-weight);
    line-height: var(--bs-body-line-height);
    color: var(--bs-body-color);
    text-align: var(--bs-body-text-align);
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: transparent;
    --bs-gutter-x: 1.5rem;
    --bs-gutter-y: 0;
    box-sizing: border-box;
    vertical-align: middle;
    width: 100%;
    max-width: 100%;
    height: auto;
    margin-bottom: 1.5rem!important;
    
    img.hero-image.img-fluid.mb-4 {
      heigh:350px;
      width:auto;
  }
  .cta-button {
    padding: 0.5rem 1rem;
    font-size: 0.875rem;
  }
}

@media (max-width: 576px) {
  .galerie {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 10px;
  }

  .galerie .col-12 {
    width: 100%;
    margin-bottom: 1rem;
  }

  .galerie .card {
    border: none;
    box-shadow: none;
  }

  .galerie .glightbox {
    pointer-events: none;
  }

  .card-img-container {
    height: auto;
  }

  .card-img-container img {
    object-fit: contain;
    aspect-ratio: 3 / 2;
  }
}

@media (max-width: 480px) {
  .landing-content h1 {
    font-size: 1.75rem;
  }

  .landing-content p {
    font-size: 0.875rem;
  }

  .cta-button {
    padding: 0.5rem 1rem;
    font-size: 0.875rem;
  }

  .galerie {
    padding: 5px;
  }

  .galerie .col-12 {
    margin-left: 0;
    padding-left: 0;
  }

  .card-img-container {
    margin: 0;
  }

  .container {
    padding: 10px;
  }
}